## org.red5.server.api.remoting
Interface IRemotingHeader

All Known Implementing Classes:
  RemotingHeader

    public interface IRemotingHeader

A Remoting header.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Field Summary
`static String` `APPEND_TO_GATEWAY_URL` Name of header specifying string to add to gateway url.
`static String` `CREDENTIALS` Name of header containing authentication data.
`static String` `DEBUG_SERVER` Name of header to request debug informations from the server.
`static String` `PERSISTENT_HEADER` Name of header specifying new header to send.
`static String` `REPLACE_GATEWAY_URL` Name of header specifying new gateway url to use.

Method Summary
`boolean` `getMustUnderstand()` Return boolean flag if receiver must process header before handling other headers or messages.
`String` `getName()` Return name of header.
`Object` `getValue()` Return value of header.

Field Detail

### APPEND_TO_GATEWAY_URL

    static final String APPEND_TO_GATEWAY_URL

  Name of header specifying string to add to gateway url.

  See Also:
    Constant Field Values

### REPLACE_GATEWAY_URL

    static final String REPLACE_GATEWAY_URL

  Name of header specifying new gateway url to use.

  See Also:
    Constant Field Values

### PERSISTENT_HEADER

    static final String PERSISTENT_HEADER

  Name of header specifying new header to send.

  See Also:
    Constant Field Values

### CREDENTIALS

    static final String CREDENTIALS

  Name of header containing authentication data.

  See Also:
    Constant Field Values

### DEBUG_SERVER

    static final String DEBUG_SERVER

  Name of header to request debug informations from the server.

  See Also:
    Constant Field Values

Method Detail

### getName

    String getName()

  Return name of header.

  Returns:
    name of header

### getValue

    Object getValue()

  Return value of header.

  Returns:
    value of header

### getMustUnderstand

    boolean getMustUnderstand()

  Return boolean flag if receiver must process header before handling other headers or messages.

  Returns:
    must understand

Copyright © 2006-2010 The Red5 Project